## NAME

g.mapset - Changes current mapset.
Optionally create new mapset or list available mapsets in given location.

## KEYWORDS

general, settings

## SYNOPSIS

g.mapset
g.mapset help
g.mapset [-cl] [mapset=string] [location=string] [gisdbase=path] [--verbose] [--quiet]

### Flags:

-c
  Create mapset if it doesn't exist
-l
  List available mapsets
--verbose
  Verbose module output
--quiet
  Quiet module output

### Parameters:

mapset=string
  Name of mapset where to switch
location=string
  Location name (not location path)
gisdbase=path
  GIS data directory (full path to the directory where the new location is)

## DESCRIPTION

g.mapset changes the current working MAPSET, LOCATION, or GISDBASE. This is a fairly radical maneuver to run mid-session, take care when running the GUI at the same time.

## NOTES

The shell continues to use the history for the old mapset. To change this you can switch the history to the new settings by commands:

       history -w
       history -r /"$GISDBASE/$LOCATION/$MAPSET"/.bash_history
       HISTFILE=/"$GISDBASE/$LOCATION/$MAPSET"/.bash_history

## SEE ALSO

g.gisenv
g.mapsets

## AUTHOR

Radim Blazek

Last changed: $Date: 2013-06-16 05:08:46 +0200 (ne, 16 VI 2013) $

Main index - general index - Full index

© 2003-2014 GRASS Development Team